Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687455 - always reinstalling the kernel in "dnf update"
Summary: always reinstalling the kernel in "dnf update"
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libsolv
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Rohel
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1668256
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-11 14:07 UTC by Remi Collet
Modified: 2019-03-19 13:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Remi Collet 2019-03-11 14:07:21 UTC
Description of problem:
Always reinstalling the kernel

Version-Release number of selected component (if applicable):
dnf-4.0.9.2-1.el7_6.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf update
2. dnf update
3.

Actual results:
# LANG=C dnf update
Last metadata expiration check: 0:05:58 ago on Mon Mar 11 15:00:30 2019.
Detection of Platform Module failed: Missing PLATFORM_ID in /etc/os-release
Dependencies resolved.

 Problem: cannot install both kernel-3.10.0-1018.el7.x86_64 and kernel-3.10.0-1018.el7.x86_64
  - cannot install the best update candidate for package kernel-3.10.0-1018.el7.x86_64
  - cannot install the best update candidate for package kernel-3.10.0-952.el7.x86_64
==============================================================================================================================================================================================
 Package                                    Arch                                       Version                                                Repository                                 Size
==============================================================================================================================================================================================
Reinstalling:
 kernel                                     x86_64                                     3.10.0-1018.el7                                        devel                                      49 M

Transaction Summary
==============================================================================================================================================================================================

Total download size: 49 M
Installed size: 63 M
Is this ok [y/N]: n

Comment 2 Remi Collet 2019-03-11 14:13:27 UTC
It seems kernel-devel is also not properly managed, when installed

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 123, in cli_run
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 154, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 240, in do_transaction
    tid = super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 872, in do_transaction
    tid = self._run_transaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1021, in _run_transaction
    self._verify_transaction(cb.verify_tsi_package)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1059, in _verify_transaction
    self.history.end(rpmdbv, 0)
  File "/usr/lib/python2.7/site-packages/dnf/db/history.py", line 504, in end
    bool(return_code)
  File "/usr/lib64/python2.7/site-packages/libdnf/transaction.py", line 758, in endTransaction
    return _transaction.Swdb_endTransaction(self, dtEnd, rpmdbVersionEnd, state)
RuntimeError: L'état du TransactionItem n'est pas défini: kernel-devel-3.10.0-834.el7.x86_64

Comment 3 code 2019-03-13 22:56:51 UTC
Looks like #1668256. See also #1677862.

Comment 4 code 2019-03-13 22:57:35 UTC
Let's try that again with links. Looks like bug #1668256. See also bug #1677862.

Comment 5 Jaroslav Mracek 2019-03-19 13:47:28 UTC
The issue from Description if fixed by commit https://github.com/openSUSE/libsolv/commit/0ce04714c477f25fde16c57b5fdc478755794126


Note You need to log in before you can comment on or make changes to this bug.